de.vc.xml

## Interface NodeElement

- All Superinterfaces:
    java.lang.Cloneable, java.io.Serializable
  All Known Subinterfaces:
    BlockElement, InlineElement, Node, PageMaster
  All Known Implementing Classes:
    AbstractNode, AbstractNodeWithAttributes, BasicLink, BidiOverride, Block, BlockContainer, ColorProfile, ConditionalPageMasterReference, Declarations, DefaultNode, Document, ExternalGraphic, FileNodeElement, Flow, FlowObject, FlowObjectWithElements, FOCharacter, FOFloat, Footnote, FootnoteBody, FormattingObject, InitialPropertySet, Inline, InlineContainer, InstreamForeignObject, LayoutMasterSet, Leader, ListBlock, ListItem, ListItemBody, ListItemLabel, Marker, MultiCase, MultiProperties, MultiPropertySet, MultiSwitch, MultiToggle, PageMasterReference, PageNumber, PageNumberCitation, PageSequence, PageSequenceMaster, PageSequenceNumber, PlainXMLNodeElement, Reference, RegionAfter, RegionBefore, RegionBody, RegionEnd, RegionStart, RepeatablePageMasterAlternatives, RepeatablePageMasterReference, RetrieveMarker, SimplePageMaster, SinglePageMasterReference, StaticContent, SwappingFObj, Table, TableAndCaption, TableBody, TableCaption, TableCell, TableColumn, TableContent, TableFooter, TableHeader, TableRow, Title, UnresolvedCompareField, Wrapper

      public interface NodeElement
      extends java.lang.Cloneable, java.io.Serializable

  A NodeElement is an object that you can add to a node.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clones this element.
    `Node` | `getParent()` Gets the parent (owner) node of this element.
    `void` | `setParent(Node parent)` Sets the parent (owner) node of this element.
    `void` | `writeTo(XMLWriter writer)` Write element into xml...

- - ### Method Detail

    - #### writeTo

          void writeTo(XMLWriter writer)

      Write element into xml...
      Parameters:
        `writer` - XMLWriter.

    - #### setParent

          void setParent(Node parent)

      Sets the parent (owner) node of this element.
      Parameters:
        `parent` - Parent.

    - #### getParent

          Node getParent()

      Gets the parent (owner) node of this element.
      Returns:
        Parent node.

    - #### clone

          java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clones this element. Should return a deep copy!
      Returns:
        Clone.
      Throws:
        `java.lang.CloneNotSupportedException`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.